package api

import (
	"net/http"

	"github.com/gin-gonic/gin"
	"gitlab.celogeek.com/photos/api/internal/photoserrors"
)

func (s *Service) Recovery(c *gin.Context) {
	defer func() {
		if err := recover(); err != nil {
			s.LogErr.Print("PANIC", err)
			s.Error(c, http.StatusInternalServerError, photoserrors.ErrUnexpected)
		}
	}()
	c.Next()
}
