package photoserrors

import "errors"

var (
	// Store
	ErrStorePathNotADirectory  = errors.New("store path is not a directory")
	ErrStoreBadChecksum        = errors.New("checksum should be sha1 in hex format")
	ErrStoreBadChunkSize       = errors.New("part file size should be 1MB max")
	ErrStoreMissingChunks      = errors.New("part checksum missing")
	ErrStoreWrongChecksum      = errors.New("wrong checksum")
	ErrStoreMismatchChecksum   = errors.New("part files doesn't match the original checksum")
	ErrStoreAlreadyExists      = errors.New("original file already exists")
	ErrStoreChunkAlreadyExists = errors.New("chunk file already exists")
	ErrStoreMissingName        = errors.New("name required")
)
